function FindItems()
{
	cancel($FindItems);
	if(ItemGroup.items == 0)
	{
		$RSC::HideVelIndicators = 1;
		if(isObject(RSC_DirMarkers))
		{
			%markers = RSC_DirMarkers.getCount();
			for(%i=%markers-1;%i>=0;%i--)
			{
				%marker = RSC_DirMarkers.getObject(%i);
				if(isObject(%text = %marker.textObj)) %text.delete();
				%marker.delete();
			}
		}
		%count = new SimObject().getID();
		for(%i=0;%i<%count;%i++)
		{
			if(!isObject(%i)) continue;
			if(!(%i.getType() & $Typemasks::ItemObjectType)) continue;
			if(!isObject(ItemGroup)) new SimObject(ItemGroup);
			switch$(%i.getDatablock().uiName)
			{
				case "Printer": %color = "0 0 0 1";
				case "Realistic Gun": %color = "0 0 1 1";
				case "Realistic RPG": %color = "0 1 0 1";
				default: continue;
			}
			ItemGroup.item[-1+ItemGroup.items++] = %i; %i.marker = clientcmdRSC_UpdateDirMarker("Item_"@%i, %i.markerPos = %i.getPosition(), %i.markerColor = %color, "0 studs", 0.999);
		}
	}
	$ItemCheck = schedule(16, 0, "ItemCheck");
}

function ItemCheck()
{
	cancel($ItemCheck);
	%cl = ServerConnection;
	if(isObject(%cl)) %pl = %cl.getControlObject();
	if(isObject(%pl) && %pl.getClassName() $= "Player")
	{
		%img = %pl.getMountedImage(0);
		if(isObject(%img)) %img.correctMuzzleVector = 0;
		%pos = vectorAdd(%pl.getPosition(), (%pl.isCrouched() ? "0 0 0.627" : "0 0 2.156"));
	}
	if(!isObject(ItemGroup)) new SimObject(ItemGroup);
	for(%i=0;%i<ItemGroup.items;%i++)
	{
		%item = ItemGroup.item[%i];
		if(!isObject(%item))
		{ %shift++; clientcmdRSC_UpdateDirMarker("Item_"@%item, "DELETE"); }
		else
		{
			ItemGroup.item[%i - %shift] = ItemGroup.item[%i];
			if(isObject(%pl) && isObject(%text = %item.marker.textObj))
				%text.setValue(ColorToTag(%item.markerColor)@mCeil(vectorDist(%pos, %item.getPosition()) * 2)@" studs");
		}
	}
	ItemGroup.items -= %shift;
	if(ItemGroup.items == 0)
	{ cancel($FindItems); $FindItems = schedule(1000, 0, "FindItems"); return; }
	$ItemCheck = schedule(16, 0, "ItemCheck");
}

if(!isObject(ItemGroup)) FindItems();